Subject: bug#6602: [PATCH] make dist target for Windows

From: Christoph <[email-masked]>
Date: Thu, 22 Jul 2010 19:14:44 -0600

On 7/22/2010 4:01 AM, Juanma Barranquero wrote:

>> - new parameter for configure.bat to provide path to distribution files, for example libXpm.dll
>
> Perhaps you could mention in the docs that it accepts wildcards (at
> least, it worked for me once I switched from backslashes to forward
> slashes on the argument).

Can you post an example, please?

>> - README.W32 relocated to nt/ directory (from admin/nt)
>
> AFAICS, you've copied it, not relocated it. admin/nt/README.W32 still exists.

Yeah, I was going to propose this before doing any cleanup. README.W32 
should be removed. I will add that to the patch.

>> - makefile.w32-in contains new target install-shortcuts to invoke addpm, so no short cuts are created when packaging
>
> I like this change because I will be able to use "make install-bin"
> and bypass addpm altogether. Great. :-)

I like it, too. ;)

>> - new file zipdist.bat in nt/ which replaces makedist.bat from admin/nt. zipdist invokes 7zip to create the zipped binary distributions and verifies integrity.
>
> Does make sense to keep admin/nt/makedist.bat?

No. Same deal as with README.W32. I will add it to the new, updated patch.

Thanks for the comments.

I will send an updated patch tomorrow.

Christoph